GNU bug report logs - #56630
(yasnippet) how to disable TAB <tab> C-i?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: edgar@HIDDEN; Keywords: moreinfo; dated Mon, 18 Jul 2022 15:31:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56630 <at> debbugs.gnu.org:


Received: (at 56630) by debbugs.gnu.org; 23 Jul 2022 08:05:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 04:05:44 2022
Received: from localhost ([127.0.0.1]:43226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oFA8t-0002Lb-SM
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:05:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oFA8r-0002LK-VM
 for 56630 <at> debbugs.gnu.org; Sat, 23 Jul 2022 04:05:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Jxi1kQZH02OFlCKihOiTmKV0JiVY2LUACpdqy5Zlj0M=; b=L/76260yxpTQ6vh/MVwysxR0BQ
 zLnA8wESB28qAi6FS1cIhsLRMSJHxVNdFg6yjhOljqVCuYIPfMFIOC7TaJDZejWYUmoKSW4Z6A1Pl
 dNpVYdImZewiBFlCmK6Eor8i91j/iorPV3V+o6yBYwYM3D7obP3xShy1GlMuLB3ZGVc8=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oFA8j-000085-03; Sat, 23 Jul 2022 10:05:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: edgar@HIDDEN
Subject: Re: bug#56630: (yasnippet) how to disable TAB <tab> C-i?
In-Reply-To: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
 (edgar@HIDDEN's message of "Mon, 18 Jul 2022 15:29:37 +0000")
References: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
X-Now-Playing: Tuxedomoon's _Subterranean Modern_: "Waterfront Seat"
Date: Sat, 23 Jul 2022 10:05:32 +0200
Message-ID: <87v8ro1cfn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  edgar@HIDDEN writes: > I really like yasnippets, because
 it makes my workflow more > productive, but I have not been able to disable
 the autocompletion > with the TAB key: > > * What I have tried > (use-package
 yasnippet [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56630
Cc: 56630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

edgar@HIDDEN writes:

> I really like yasnippets, because it makes my workflow more
> productive, but I have not been able to disable the autocompletion
> with the TAB key:
>
> * What I have tried
> (use-package yasnippet :defer t :commands (yas-minor-mode)
>   :bind
>   (:map
>    yas-minor-mode-map
>    ("TAB" . nil)
>    ("<tab>" . nil)

I'm not familiar with use-package or the syntax it uses for keymaps, but
does

   (:map
    yas-minor-mode-map
    ("TAB" . nil)
    ([(tab)] . nil)

fix the issue?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56630; Package emacs. Full text available.

Message received at 56630 <at> debbugs.gnu.org:


Received: (at 56630) by debbugs.gnu.org; 18 Jul 2022 15:34:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 18 11:34:22 2022
Received: from localhost ([127.0.0.1]:51868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDSlJ-0000Vw-LK
	for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:34:22 -0400
Received: from smtp152.vfemail.net ([146.59.185.152]:59297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edgar@HIDDEN>) id 1oDSlH-0000Vo-Ek
 for 56630 <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:34:20 -0400
Received: (qmail 20316 invoked from network); 18 Jul 2022 15:34:18 +0000
Received: from localhost (HELO freequeue.vfemail.net) ()
 by smtpout.vfemail.net with ESMTPS (ECDHE-RSA-AES256-GCM-SHA384 encrypted);
 18 Jul 2022 15:34:18 +0000
Received: (qmail 36375 invoked from network); 18 Jul 2022 15:33:43 -0000
Received: from localhost (HELO nl101-2.vfemail.net) (bmE=@127.0.0.1)
 by freequeue.vfemail.net with (DHE-RSA-AES256-SHA encrypted) SMTP;
 18 Jul 2022 15:33:43 -0000
Received: (qmail 35625 invoked from network); 18 Jul 2022 15:33:26 -0000
Received: by simscan 1.4.0 ppid: 35620, pid: 35622, t: 0.1086s scanners:none
Received: from unknown (HELO www.vfemail.net)
 (ZWRnYXJAb3Blbm1haWwuY2M=@192.168.1.192)
 by nl101.vfemail.net with ESMTPA; 18 Jul 2022 15:33:25 -0000
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Mon, 18 Jul 2022 15:34:00 +0000
From: edgar@HIDDEN
To: 56630 <at> debbugs.gnu.org
Subject: Fwd: Re: (yasnippet) how to disable TAB <tab> C-i?
In-Reply-To: <e38d321efd83105f4dcbf9aa2097da84@HIDDEN>
References: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
 <e38d321efd83105f4dcbf9aa2097da84@HIDDEN>
Message-ID: <f17c375dac491d41a23afe4b31e0238f@HIDDEN>
X-Sender: edgar@HIDDEN
User-Agent: Roundcube Webmail/1.3.17
X-Remote-Browser: Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101
 Firefox/91.0
X-Originating-IP: [2a03:e600:100::26]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



-------- Original Message --------
Subject: Re: (yasnippet) how to disable TAB <tab> C-i?
Date: 2022-07-18 15:32
 From: edgar@HIDDEN
To: bug-gnu-emacs@HIDDEN

Of course:
- yasnippet-snippets             20220401.1534   
c5bf4c4085aa61b9c07563de89f7aacc2a357db5
- GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, 
cairo version 1.17.6) of 2022-04-28

On 2022-07-18 15:29, edgar@HIDDEN wrote:
> Hello,
> 
> as per: https://github.com/joaotavora/yasnippet, I am sending an
> e-mail to you to ask for help.
> 
> I really like yasnippets, because it makes my workflow more
> productive, but I have not been able to disable the autocompletion
> with the TAB key:
> 
> * What I have tried
> (use-package yasnippet :defer t :commands (yas-minor-mode)
>   :bind
>   (:map
>    yas-minor-mode-map
>    ("TAB" . nil)
>    ("<tab>" . nil)
>    ;; Expand with C-c m
>    ;; (how?? yas--direct-{keymaps,org-mode})
>    ("C-c m". yas-expand)
>    ;; Change C-S-i to navigate back
>    ("ESC TAB" . yas-prev-field)
>    :map
>    esc-map
>     ;; Disable this to enable C-S-i to navigate back
>     ;; (previously defined in bindings.el)
>     ("\t" . nil)))
> 
> (with-eval-after-load 'yasnippet
>   (setq yas-snippet-dirs (list "~/snippets/"))
>   (yas--load-snippet-dirs)
>   ;; allow to insert a snippet within a snippet
>   (setq yas-triggers-in-field t)
>   ;; Testing (above)
>   ;; ;; Change trigger key
>   ;; (define-key yas-minor-mode-map (kbd "C-i") nil)
>   ;; (define-key yas-minor-mode-map (kbd "C-c m") 'yas-expand)
>   ;; (define-key yas-minor-mode-map [(tab)]        nil)
>   ;; (define-key yas-minor-mode-map (kbd "TAB")    nil)
>   ;; (define-key yas-minor-mode-map (kbd "<tab>")  nil)
>   )
> 
> * Current behaviour
> 1. I launch a snippet with C-c m
> 2. Inside, I type the name of another snippet, for clarity, assume it 
> is tuk
> 3. I type [TAB], C-i
> 4. tuk gets expandedtuk
> 
> * Expected behaviour
> 1. I launch a snippet with C-c m
> 2. Inside, I type the name of another snippet, for clarity, assume it 
> is tuk
> 3. I type [TAB], C-i
> 4. I get out of ttukhe first snippet (tuk does not get expanded).
> 
> tuk is this:
> # -*- mode: snippet -*-
> # name: latex-inline
> # key: tuk
> # expand-env: ((yas-indent-line 'fixed))
> # --
> \\($1\\)$0
> 
> How do I configure yasnippet so that snippets get expended with C-c m
> *only*? Thanks!

-------------------------------------------------
This free account was provided by VFEmail.net - report spam to abuse@HIDDEN
 
ONLY AT VFEmail! - Use our Metadata Mitigator to keep your email out of the NSA's hands!
$24.95 ONETIME Lifetime accounts with Privacy Features!  
15GB disk! No bandwidth quotas!
Commercial and Bulk Mail Options!  




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56630; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2022 15:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 18 11:33:05 2022
Received: from localhost ([127.0.0.1]:51864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDSk5-0000U0-4e
	for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:33:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:59836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edgar@HIDDEN>) id 1oDSk3-0000Tp-CY
 for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:33:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47710)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edgar@HIDDEN>) id 1oDSk3-0007MM-6n
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 11:33:03 -0400
Received: from smtp152.vfemail.net ([146.59.185.152]:38617)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edgar@HIDDEN>) id 1oDSk1-0001vW-3U
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 11:33:02 -0400
Received: (qmail 20281 invoked from network); 18 Jul 2022 15:32:59 +0000
Received: from localhost (HELO freequeue.vfemail.net) ()
 by smtpout.vfemail.net with ESMTPS (ECDHE-RSA-AES256-GCM-SHA384 encrypted);
 18 Jul 2022 15:32:59 +0000
Received: (qmail 32994 invoked from network); 18 Jul 2022 15:32:24 -0000
Received: from localhost (HELO nl101-2.vfemail.net) (bmE=@127.0.0.1)
 by freequeue.vfemail.net with (DHE-RSA-AES256-SHA encrypted) SMTP;
 18 Jul 2022 15:32:24 -0000
Received: (qmail 32414 invoked from network); 18 Jul 2022 15:32:07 -0000
Received: by simscan 1.4.0 ppid: 32404, pid: 32410, t: 0.1074s scanners:none
Received: from unknown (HELO www.vfemail.net)
 (ZWRnYXJAb3Blbm1haWwuY2M=@192.168.1.192)
 by nl101.vfemail.net with ESMTPA; 18 Jul 2022 15:32:07 -0000
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Mon, 18 Jul 2022 15:32:41 +0000
From: edgar@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Re: (yasnippet) how to disable TAB <tab> C-i?
In-Reply-To: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
References: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
Message-ID: <e38d321efd83105f4dcbf9aa2097da84@HIDDEN>
X-Sender: edgar@HIDDEN
User-Agent: Roundcube Webmail/1.3.17
X-Remote-Browser: Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101
 Firefox/91.0
X-Originating-IP: [2a03:e600:100::26]
Received-SPF: pass client-ip=146.59.185.152; envelope-from=edgar@HIDDEN;
 helo=smtp152.vfemail.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01,
 UNPARSEABLE_RELAY=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Of course:
- yasnippet-snippets             20220401.1534   
c5bf4c4085aa61b9c07563de89f7aacc2a357db5
- GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, 
cairo version 1.17.6) of 2022-04-28

On 2022-07-18 15:29, edgar@HIDDEN wrote:
> Hello,
> 
> as per: https://github.com/joaotavora/yasnippet, I am sending an
> e-mail to you to ask for help.
> 
> I really like yasnippets, because it makes my workflow more
> productive, but I have not been able to disable the autocompletion
> with the TAB key:
> 
> * What I have tried
> (use-package yasnippet :defer t :commands (yas-minor-mode)
>   :bind
>   (:map
>    yas-minor-mode-map
>    ("TAB" . nil)
>    ("<tab>" . nil)
>    ;; Expand with C-c m
>    ;; (how?? yas--direct-{keymaps,org-mode})
>    ("C-c m". yas-expand)
>    ;; Change C-S-i to navigate back
>    ("ESC TAB" . yas-prev-field)
>    :map
>    esc-map
>     ;; Disable this to enable C-S-i to navigate back
>     ;; (previously defined in bindings.el)
>     ("\t" . nil)))
> 
> (with-eval-after-load 'yasnippet
>   (setq yas-snippet-dirs (list "~/snippets/"))
>   (yas--load-snippet-dirs)
>   ;; allow to insert a snippet within a snippet
>   (setq yas-triggers-in-field t)
>   ;; Testing (above)
>   ;; ;; Change trigger key
>   ;; (define-key yas-minor-mode-map (kbd "C-i") nil)
>   ;; (define-key yas-minor-mode-map (kbd "C-c m") 'yas-expand)
>   ;; (define-key yas-minor-mode-map [(tab)]        nil)
>   ;; (define-key yas-minor-mode-map (kbd "TAB")    nil)
>   ;; (define-key yas-minor-mode-map (kbd "<tab>")  nil)
>   )
> 
> * Current behaviour
> 1. I launch a snippet with C-c m
> 2. Inside, I type the name of another snippet, for clarity, assume it 
> is tuk
> 3. I type [TAB], C-i
> 4. tuk gets expandedtuk
> 
> * Expected behaviour
> 1. I launch a snippet with C-c m
> 2. Inside, I type the name of another snippet, for clarity, assume it 
> is tuk
> 3. I type [TAB], C-i
> 4. I get out of ttukhe first snippet (tuk does not get expanded).
> 
> tuk is this:
> # -*- mode: snippet -*-
> # name: latex-inline
> # key: tuk
> # expand-env: ((yas-indent-line 'fixed))
> # --
> \\($1\\)$0
> 
> How do I configure yasnippet so that snippets get expended with C-c m
> *only*? Thanks!

-------------------------------------------------
This free account was provided by VFEmail.net - report spam to abuse@HIDDEN
 
ONLY AT VFEmail! - Use our Metadata Mitigator to keep your email out of the NSA's hands!
$24.95 ONETIME Lifetime accounts with Privacy Features!  
15GB disk! No bandwidth quotas!
Commercial and Bulk Mail Options!  




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56630; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2022 15:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 18 11:30:06 2022
Received: from localhost ([127.0.0.1]:51859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oDShC-0000Nn-FK
	for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:30:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:56766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edgar@HIDDEN>) id 1oDSh9-0000Nc-15
 for submit <at> debbugs.gnu.org; Mon, 18 Jul 2022 11:30:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46834)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edgar@HIDDEN>) id 1oDSh8-0004ID-SR
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 11:30:02 -0400
Received: from smtp152.vfemail.net ([146.59.185.152]:46615)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edgar@HIDDEN>) id 1oDSh6-0001GY-FB
 for bug-gnu-emacs@HIDDEN; Mon, 18 Jul 2022 11:30:02 -0400
Received: (qmail 20197 invoked from network); 18 Jul 2022 15:29:55 +0000
Received: from localhost (HELO freequeue.vfemail.net) ()
 by smtpout.vfemail.net with ESMTPS (ECDHE-RSA-AES256-GCM-SHA384 encrypted);
 18 Jul 2022 15:29:55 +0000
Received: (qmail 24562 invoked from network); 18 Jul 2022 15:29:19 -0000
Received: from localhost (HELO nl101-2.vfemail.net) (bmE=@127.0.0.1)
 by freequeue.vfemail.net with (DHE-RSA-AES256-SHA encrypted) SMTP;
 18 Jul 2022 15:29:19 -0000
Received: (qmail 23993 invoked from network); 18 Jul 2022 15:29:02 -0000
Received: by simscan 1.4.0 ppid: 23989, pid: 23991, t: 0.0071s scanners:none
Received: from unknown (HELO www.vfemail.net)
 (ZWRnYXJAb3Blbm1haWwuY2M=@192.168.1.192)
 by nl101.vfemail.net with ESMTPA; 18 Jul 2022 15:29:02 -0000
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Mon, 18 Jul 2022 15:29:37 +0000
From: edgar@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: (yasnippet) how to disable TAB <tab> C-i?
Message-ID: <7c9d7521f61e42b56ac9fe6aeb2aed5a@HIDDEN>
X-Sender: edgar@HIDDEN
User-Agent: Roundcube Webmail/1.3.17
X-Remote-Browser: Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101
 Firefox/91.0
X-Originating-IP: [2a03:e600:100::26]
Received-SPF: pass client-ip=146.59.185.152; envelope-from=edgar@HIDDEN;
 helo=smtp152.vfemail.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01,
 UNPARSEABLE_RELAY=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

as per: https://github.com/joaotavora/yasnippet, I am sending an e-mail 
to you to ask for help.

I really like yasnippets, because it makes my workflow more productive, 
but I have not been able to disable the autocompletion with the TAB key:

* What I have tried
(use-package yasnippet :defer t :commands (yas-minor-mode)
   :bind
   (:map
    yas-minor-mode-map
    ("TAB" . nil)
    ("<tab>" . nil)
    ;; Expand with C-c m
    ;; (how?? yas--direct-{keymaps,org-mode})
    ("C-c m". yas-expand)
    ;; Change C-S-i to navigate back
    ("ESC TAB" . yas-prev-field)
    :map
    esc-map
     ;; Disable this to enable C-S-i to navigate back
     ;; (previously defined in bindings.el)
     ("\t" . nil)))

(with-eval-after-load 'yasnippet
   (setq yas-snippet-dirs (list "~/snippets/"))
   (yas--load-snippet-dirs)
   ;; allow to insert a snippet within a snippet
   (setq yas-triggers-in-field t)
   ;; Testing (above)
   ;; ;; Change trigger key
   ;; (define-key yas-minor-mode-map (kbd "C-i") nil)
   ;; (define-key yas-minor-mode-map (kbd "C-c m") 'yas-expand)
   ;; (define-key yas-minor-mode-map [(tab)]        nil)
   ;; (define-key yas-minor-mode-map (kbd "TAB")    nil)
   ;; (define-key yas-minor-mode-map (kbd "<tab>")  nil)
   )

* Current behaviour
1. I launch a snippet with C-c m
2. Inside, I type the name of another snippet, for clarity, assume it is 
tuk
3. I type [TAB], C-i
4. tuk gets expandedtuk

* Expected behaviour
1. I launch a snippet with C-c m
2. Inside, I type the name of another snippet, for clarity, assume it is 
tuk
3. I type [TAB], C-i
4. I get out of ttukhe first snippet (tuk does not get expanded).

tuk is this:
# -*- mode: snippet -*-
# name: latex-inline
# key: tuk
# expand-env: ((yas-indent-line 'fixed))
# --
\\($1\\)$0

How do I configure yasnippet so that snippets get expended with C-c m 
*only*? Thanks!

-------------------------------------------------
This free account was provided by VFEmail.net - report spam to abuse@HIDDEN
 
ONLY AT VFEmail! - Use our Metadata Mitigator to keep your email out of the NSA's hands!
$24.95 ONETIME Lifetime accounts with Privacy Features!  
15GB disk! No bandwidth quotas!
Commercial and Bulk Mail Options!  




Acknowledgement sent to edgar@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56630; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 Jul 2022 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.